// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for ios - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        return android;
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyAaC0EuawN0hwIPBzKzCwSBCFrgo0iBWcw',
    appId: '1:29718539056:web:754591fee97cbf801c76f5',
    messagingSenderId: '29718539056',
    projectId: 'tekartik-free-dev',
    authDomain: 'tekartik-free-dev.firebaseapp.com',
    databaseURL: 'https://tekartik-free-dev.firebaseio.com',
    storageBucket: 'tekartik-free-dev.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDi1Yik0mugzca2pmVJ9QMSisCnWco4R_8',
    appId: '1:29718539056:android:4d23c3bc1bff39b01c76f5',
    messagingSenderId: '29718539056',
    projectId: 'tekartik-free-dev',
    databaseURL: 'https://tekartik-free-dev.firebaseio.com',
    storageBucket: 'tekartik-free-dev.appspot.com',
  );
}
